#ifndef pfodWiFiGenericUtils_h
#define pfodWiFiGenericUtils_h

#include <stdint.h>
#include <ctype.h>
#include <string.h>
#include <WiFi_Generic.h>

class pfodWiFiGenericUtils {
  public:
  static size_t strncpy_safe(char* dest, const char* src, size_t maxLen);
  static void urldecode2(char *dst, const char *src);
  static uint8_t* parseLong(uint8_t* idxPtr, long *result);
  static uint8_t isEmpty(const char* str); // Look for non-control char i.e. char > space (32)
  /**
  * trim chars <=32 from beginning and end of string
  * return zero if one found
  */
  static char* trim(char* str);

  static uint32_t ipStrToNum(const char* ipStr);
};

#endif // pfodWiFiGenericUtils_h